Skip to main content
GET
/
schedule-management
/
v1
/
schedules
/
{uid}
Get Schedule
curl --request GET \
  --url https://api.engrate.io/schedule-management/v1/schedules/{uid} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.engrate.io/schedule-management/v1/schedules/{uid}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.engrate.io/schedule-management/v1/schedules/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_ts": "2026-03-25T14:00:00+00:00",
  "date": "2026-03-26",
  "last_modified_ts": "2026-03-25T16:30:00+00:00",
  "market": "DE",
  "org_uid": "9b2e4d8f-1c3a-4f5e-8d7b-6a9e0f2c1b3d",
  "tso": "50HERTZ_DE_TSO",
  "uid": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

uid
string<uuid>
required

Schedule unique identifier.

Response

Successful Response

A Schedule header representing a single delivery-date submission to a TSO.

created_ts
string
required

ISO 8601 datetime when the schedule was created.

Example:

"2026-03-25T14:00:00+00:00"

date
string
required

Delivery date in ISO 8601 format (YYYY-MM-DD).

Example:

"2026-03-26"

last_modified_ts
string
required

ISO 8601 datetime of the most recent modification.

Example:

"2026-03-25T16:30:00+00:00"

market
string
required

Target market. DE for Germany, NL for the Netherlands.

Examples:

"DE"

"NL"

org_uid
string
required

Organization that owns this schedule.

Example:

"9b2e4d8f-1c3a-4f5e-8d7b-6a9e0f2c1b3d"

tso
string
required

Transmission System Operator identifier.

Examples:

"50HERTZ_DE_TSO"

"DE-AMPRION-TSO"

"TTG_DE"

"DE-TRANSNETBWTSO"

"TENNET_TSO"

uid
string
required

Unique identifier for this schedule.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"